<%#
News:
- Side bar where you can navigate through the news
- News
-> This is a static site, the news get fetched from the api via ajax.
%>

<script src="/static/news.js"></script>

<h2><%=tx("news.ejs")%></h2>

<a href="https://spheres.tmw2.org/feed.xml" class="communitybutton"><i class="fas fa-rss-square fa-lg"></i> RSS Feed</a>

<div id="news_TOC">
    <div id="title">Table of Content</div>
    <div class="line"></div>
    <div id="news_TOC_content"></div>
</div>

<div id="news_content"></div><br><br>

<script>
    parse_news().then((result) => {
        displayIt(
            result,
            document.getElementById("news_content"),
            document.getElementById("news_TOC_content")
        );
        console.log(result);
    }).catch(console.error);// TODO: a real error message
</script>
</div>

<%
//= news 
%>
